Subject: Re: Local git server can't serve https until repos owned by http, can't serve ssh unless repos owned by user after 2.45.1

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Jun 2024 11:51:46 -0700

Phillip Wood <[email-masked]> writes:

> Sorry if I wasn't clear. "." is considered safe with "safe.directory =
> *" but I was looking at why it was not considered safe when using
> repository paths in safe.directory.

Ahh, OK.  We tell them /home/wood/repo/git is a good repository to
visit, but daemon's call to ensure_valid_ownership() asks "I am in
the '.' directory; does that match /home/wood/repo/git?"  

That sucks.  I agree with your idea that we'd need to canonicalize
both before comparing.

THanks.